using SushiBarContracts.Attributes;
using SushiBarDataModels;

namespace SushiBarContracts.ViewModels
{
    public class MessageInfoViewModel : IMessageInfoModel
    {
        [Column(visible: false)]
        public int Id { get; set; }

        [Column(visible: false)]
        public string MessageId { get; set; } = string.Empty;

        [Column(visible: false)]
        public int? ClientId { get; set; }

        [Column(title: "Имя отправителя", width: 200)]
        public string SenderName { get; set; } = string.Empty;

        [Column(title: "Дата получения", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public DateTime DateDelivery { get; set; } = DateTime.Now;


        [Column(title: "Тема письма", width: 150)]
        public string Subject { get; set; } = string.Empty;


        [Column(title: "Душа письма...", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string Body { get; set; } = string.Empty;
    }
}
